summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xconfig/preview_file.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/config/preview_file.sh b/config/preview_file.sh
index 15fa6fc..bb7cc7b 100755
--- a/config/preview_file.sh
+++ b/config/preview_file.sh
@@ -96,12 +96,16 @@ handle_extension() {
exit 1 ;;
## OpenDocument
- odt|ods|odp|sxw)
+ odt|sxw)
## Preview as text conversion
odt2txt "${FILE_PATH}" && exit 0
## Preview as markdown conversion
pandoc -s -t markdown -- "${FILE_PATH}" && exit 0
exit 1 ;;
+ ods|odp)
+ ## Preview as text conversion (unsupported by pandoc for markdown)
+ odt2txt "${FILE_PATH}" && exit 0
+ exit 1 ;;
## XLSX
xlsx)